subroutine A_gen(n, Ag, job)

real(8) Ag(n,n)
character(20) job

Job_If: &
IF(job =='0') THEN
ag(1,1) =1
ag(1,2) =-sqrt(2.)/2
ag(1,3)=0

ag(2,1) =ag(1,2)
ag(2,2) =1.5
ag(2,3) =-2/sqrt(5.)

ag(3,1) =0
ag(3,2) =ag(2,3)
ag(3,3) =2.4

ELSEIF(job =='wilk12')	THEN	! Wilkinson (Ex.: n=12):
ag =0D0
!
do i = 1, n
	do j = 1, n

	if ( j <= i+1 ) then
	ag(j,i) = n+1 -max (i,j)
	endif

   enddo
enddo


ENDIF Job_If

END